// eslint-disable-next-line
import { UserLayout, BasicLayout, RouteView, BlankLayout, PageView } from '@/layouts'

export const asyncRouterMap = [

  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/put/list',
    children: [
      // dashboard
      // {
      //   path: '/dashboard',
      //   name: 'dashboard',
      //   redirect: '/dashboard/analysis',
      //   component: RouteView,
      //   meta: { title: '仪表盘', keepAlive: true, icon: bxAnaalyse, permission: [ 'dashboard' ] },
      //   children: [
      //     {
      //       path: '/dashboard/analysis',
      //       name: 'Analysis',
      //       component: () => import('@/views/dashboard/Analysis'),
      //       meta: { title: '分析页', keepAlive: false, permission: [ 'dashboard' ] }
      //     }
      //   ]
      // },
      // forms
      {
        path: '/put',
        redirect: '/put/list',
        component: PageView,
        meta: { title: '投放', icon: 'form' },
        children: [
          {
            path: '/put/list',
            name: 'PutList',
            component: () => import('@/views/put/PutList'),
            meta: { title: '发起投放', keepAlive: false }
          },
          {
            path: '/putFeed/list',
            name: 'PutFeedList',
            component: () => import('@/views/put/PutFeedList'),
            meta: { title: '投放列表', keepAlive: false }
          },
          {
            path: '/put/list/details',
            name: 'PutDetails',
            component: () => import('@/views/put/PutDetails.vue'),
            meta: { title: '投放详情', keepAlive: false, filterMenu: true }
          }
        ]
      },
      {
        path: '/author',
        redirect: '/author/list',
        component: PageView,
        meta: { title: '作者', icon: 'form' },
        children: [
          {
            path: '/author/list',
            name: 'AuthorList',
            component: () => import('@/views/author/AuthorList'),
            meta: { title: '作者邀请', keepAlive: false }
          }
        ]
      },
      // account
      {
        path: '/account',
        component: RouteView,
        redirect: '/account/settings',
        name: 'account',
        meta: { title: '个人页', icon: 'user', keepAlive: true, permission: [ 'user' ] },
        children: [
          {
            path: '/account/settings',
            name: 'settings',
            component: () => import('@/views/account/settings/Index'),
            meta: { title: '个人设置', hideHeader: true, permission: [ 'user' ] },
            redirect: '/account/settings/base',
            hideChildrenInMenu: true,
            children: [
              {
                path: '/account/settings/base',
                name: 'BaseSettings',
                component: () => import('@/views/account/settings/BaseSetting'),
                meta: { title: '基本设置', permission: [ 'user' ] }
              },
              {
                path: '/account/settings/password',
                name: 'UpdatePassword',
                component: () => import('@/views/account/settings/UpdatePassword'),
                meta: { title: '修改密码', keepAlive: true, permission: [ 'user' ] }
              }
            ]
          }
        ]
      }
    ]
  },
  {
    path: '*', redirect: '/404', hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },

  {
    path: '/test',
    component: BlankLayout,
    redirect: '/test/home',
    children: [
      {
        path: 'home',
        name: 'TestHome',
        component: () => import('@/views/Home')
      }
    ]
  },

  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }

]
