// 表格列信息
const table = {
  columns: [
    {
      title: 'finderUin',
      align: 'center',
      dataIndex: 'finderUin',
      scopedSlots: { customRender: 'summary' }
    },
    {
      title: '来源渠道',
      align: 'center',
      dataIndex: 'fromChannelName'
    },
    {
      title: '是否有账外账号',
      align: 'center',
      dataIndex: 'outSideAccountFlag',
      scopedSlots: { customRender: 'status' }
    },
    {
      title: '作者等级',
      align: 'center',
      dataIndex: 'level'
    },
    {
      title: '作者微信号',
      align: 'center',
      dataIndex: 'weChatAccount'
    },
    {
      title: '视频账号',
      align: 'center',
      dataIndex: 'videoAccount'
    },
    {
      title: '作者分类',
      align: 'center',
      dataIndex: 'categoryName'
    },
    {
      title: '拟定认证信息',
      align: 'center',
      dataIndex: 'authInfo'
    },
    {
      title: '是否本地作者',
      align: 'center',
      dataIndex: 'isLocal',
      scopedSlots: { customRender: 'status' }
    },
    {
      title: '是否下发流量',
      align: 'center',
      dataIndex: 'isSend',
      scopedSlots: { customRender: 'status' }
    },
    {
      title: '影响力描述',
      dataIndex: 'prove',
      align: 'center',
      scopedSlots: { customRender: 'summary' }
    },
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      fixed: 'right',
      width: '250px',
      scopedSlots: { customRender: 'action' }
    }
  ]
}

// 表格里面的列key value
const filters = {
  statusFilter (status) {
    const statusMap = {
      1: '是',
      0: '否'
    }
    return statusMap[status]
  },
  statusTypeFilter (status) {
    const statusMap = {
      1: 'error',
      0: 'success'
    }
    return statusMap[status]
  }
}

export { table, filters }
